Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Interface ResponseTimeMonitor

All Known Implementing Classes:
  ResponseTimeMonitorImpl

Deprecated. as of Spring 2.5, to be removed in Spring 3.0

    public interface ResponseTimeMonitor

Interface implemented by objects that can provide performance information as well as a record of the number of times they are accessed.

Implementing objects must ensure that implementing this interface does not compromise thread safety. However, it may be acceptable for slight innaccuracies in reported statistics to result from the avoidance of synchronization: performance may be well be more important than exact reporting, so long as the errors are not likely to be misleading.

Since:
  November 21, 2000
Author:
  Rod Johnson

Method Summary
`int` | `getAccessCount()` Deprecated. Return the number of accesses to this resource.
`int` | `getAverageResponseTimeMillis()` Deprecated. Return the average response time in milliseconds.
`int` | `getBestResponseTimeMillis()` Deprecated. Return the best (quickest) response time in milliseconds.
`int` | `getWorstResponseTimeMillis()` Deprecated. Return the worst (slowest) response time in milliseconds.

Method Detail

### getAccessCount

    int getAccessCount()

  Deprecated.
  Return the number of accesses to this resource.

### getAverageResponseTimeMillis

    int getAverageResponseTimeMillis()

  Deprecated.
  Return the average response time in milliseconds.

### getBestResponseTimeMillis

    int getBestResponseTimeMillis()

  Deprecated.
  Return the best (quickest) response time in milliseconds.

### getWorstResponseTimeMillis

    int getWorstResponseTimeMillis()

  Deprecated.
  Return the worst (slowest) response time in milliseconds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.